Package com.sun.ts.lib.util.sec.misc

# Class SharedSecrets

java.lang.Object
com.sun.ts.lib.util.sec.misc.SharedSecrets

public class SharedSecrets extends Object
A repository of "shared secrets", which are a mechanism for calling implementation-private methods in another package without using reflection. A package-private class implements a public interface and provides the ability to call package-private methods within that package; the object implementing that interface is provided through a third package to which access is restricted. This framework avoids the primary disadvantage of using reflection for this purpose, namely the loss of compile-time checking.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SharedSecrets()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JavaIOAccess`
  `getJavaIOAccess()`
  `static JavaIODeleteOnExitAccess`
  `getJavaIODeleteOnExitAccess()`
  `static JavaIOFileDescriptorAccess`
  `getJavaIOFileDescriptorAccess()`
  `static JavaLangAccess`
  `getJavaLangAccess()`
  `static JavaNetAccess`
  `getJavaNetAccess()`
  `static JavaSecurityAccess`
  `getJavaSecurityAccess()`
  `static JavaSecurityProtectionDomainAccess`
  `getJavaSecurityProtectionDomainAccess()`
  `static JavaUtilJarAccess`
  `javaUtilJarAccess()`
  `static void`
  `setJavaIOAccess(JavaIOAccess jia)`
  `static void`
  `setJavaIODeleteOnExitAccess(JavaIODeleteOnExitAccess jida)`
  `static void`
  `setJavaIOFileDescriptorAccess(JavaIOFileDescriptorAccess jiofda)`
  `static void`
  `setJavaLangAccess(JavaLangAccess jla)`
  `static void`
  `setJavaNetAccess(JavaNetAccess jna)`
  `static void`
  `setJavaSecurityAccess(JavaSecurityAccess jsa)`
  `static void`
  `setJavaSecurityProtectionDomainAccess(JavaSecurityProtectionDomainAccess jspda)`
  `static void`
  `setJavaUtilJarAccess(JavaUtilJarAccess access)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SharedSecrets

    public SharedSecrets()

- ## Method Details

  - ### javaUtilJarAccess

    public static JavaUtilJarAccess javaUtilJarAccess()

  - ### setJavaUtilJarAccess

    public static void setJavaUtilJarAccess(JavaUtilJarAccess access)

  - ### setJavaLangAccess

    public static void setJavaLangAccess(JavaLangAccess jla)

  - ### getJavaLangAccess

    public static JavaLangAccess getJavaLangAccess()

  - ### setJavaNetAccess

    public static void setJavaNetAccess(JavaNetAccess jna)

  - ### getJavaNetAccess

    public static JavaNetAccess getJavaNetAccess()

  - ### setJavaIOAccess

    public static void setJavaIOAccess(JavaIOAccess jia)

  - ### getJavaIOAccess

    public static JavaIOAccess getJavaIOAccess()

  - ### setJavaIODeleteOnExitAccess

    public static void setJavaIODeleteOnExitAccess(JavaIODeleteOnExitAccess jida)

  - ### getJavaIODeleteOnExitAccess

    public static JavaIODeleteOnExitAccess getJavaIODeleteOnExitAccess()

  - ### setJavaIOFileDescriptorAccess

    public static void setJavaIOFileDescriptorAccess(JavaIOFileDescriptorAccess jiofda)

  - ### getJavaIOFileDescriptorAccess

    public static JavaIOFileDescriptorAccess getJavaIOFileDescriptorAccess()

  - ### setJavaSecurityProtectionDomainAccess

    public static void setJavaSecurityProtectionDomainAccess(JavaSecurityProtectionDomainAccess jspda)

  - ### getJavaSecurityProtectionDomainAccess

    public static JavaSecurityProtectionDomainAccess getJavaSecurityProtectionDomainAccess()

  - ### setJavaSecurityAccess

    public static void setJavaSecurityAccess(JavaSecurityAccess jsa)

  - ### getJavaSecurityAccess

    public static JavaSecurityAccess getJavaSecurityAccess()